extends Scene


func _on_back_of_fishermans_shack_interacted() -> void:
	$kq4_008_back_of_fishermans_shack.default_script(self)


func _on_frog_pond_interacted() -> void:
	$kq4_015_frog_pond.default_script(self)


func _on_meadow_interacted() -> void:
	$kq4_020_meadow.default_script(self)


func _on_beach_interacted() -> void:
	$kq4_013_beach.default_script(self)


func _on_stump_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "Yes, there's a tree stump in the middle of the meadow.")
	).build(self, "_on_script_complete"))


func _on_bushes_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "Small, low bushes dot the pretty meadow. Wildflowers grow among them.")
	).build(self, "_on_script_complete"))


func _on_rocks_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "Scattered rocks lie among the wildflowers of the meadow.")
	).build(self, "_on_script_complete"))


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "You stand in a green meadow filled with wildflowers.")
	).build(self, "_on_script_complete"))
